# packages.R
# install packages

### Checks for required packages and installs if not present ###

## plyr (for manipulation of data structures)

packs <- rownames(installed.packages()) # names of all installed packages
req <- c("plyr") # packages required to run code
toInstall <- req[!is.element(req,packs)] # packages needing installation

if(length(toInstall)>0){
	if(verbose){
		print("The following packages are required and will be installed:")
		print(toInstall)
	}
	install.packages(toInstall)
}

# clean up workspace:
rm(packs,req,toInstall)